cdac.medinfo.sdk.hl7282.unrecognized

## Class UnRecognizedField

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.unrecognized.UnRecognizedData
  - - cdac.medinfo.sdk.hl7282.unrecognized.UnRecognizedField

-     public class UnRecognizedField
      extends UnRecognizedData

  Unrecognized field of Segment from the HL7 file which id Not understandable by the SDK.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnRecognizedField()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFieldName()` Retrieve unrecognized Field Name of the HL7 file.
    `java.lang.String` | `getSegmentName()` Retrieve unrecognized Segment Name of the HL7 file.
    `void` | `setFieldName(java.lang.String fieldName)` Set unrecognized Field Name of the HL7 file.
    `void` | `setSegmentName(java.lang.String segmentName)` Set unrecognized Segment Name of the HL7 file.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.unrecognized.UnRecognizedData

      `getUnRecognizedData, setUnRecognizedData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnRecognizedField

          public UnRecognizedField()

  - ### Method Detail

    - #### getSegmentName

          public java.lang.String getSegmentName()

      Retrieve unrecognized Segment Name of the HL7 file.
      Returns:
        String - String of unrecognized Segment Name

    - #### setSegmentName

          public void setSegmentName(java.lang.String segmentName)

      Set unrecognized Segment Name of the HL7 file.
      Parameters:
        `segmentName` - - String of unrecognized Segment Name

    - #### getFieldName

          public java.lang.String getFieldName()

      Retrieve unrecognized Field Name of the HL7 file.
      Returns:
        String - String of unrecognized Field Name

    - #### setFieldName

          public void setFieldName(java.lang.String fieldName)

      Set unrecognized Field Name of the HL7 file.
      Parameters:
        `fieldName` - - String of unrecognized Field Name